* [gentoo-commits] repo/gentoo:master commit in: x11-misc/redshift/, x11-misc/redshift/files/
@ 2023-01-01 16:03 Sebastian Pipping
0 siblings, 0 replies; 2+ messages in thread
From: Sebastian Pipping @ 2023-01-01 16:03 UTC (permalink / raw
To: gentoo-commits
commit: ddf9074b3579b8587f3beb9f0817caa2d19c5ff8
Author: Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 1 15:59:48 2023 +0000
Commit: Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Sun Jan 1 16:01:58 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ddf9074b
x11-misc/redshift: Fix AppArmor profile
Closes: https://bugs.gentoo.org/887979
Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
.../redshift/files/redshift-1.12-apparmor.patch | 35 +++++++++
x11-misc/redshift/redshift-1.12-r9.ebuild | 91 ++++++++++++++++++++++
2 files changed, 126 insertions(+)
diff --git a/x11-misc/redshift/files/redshift-1.12-apparmor.patch b/x11-misc/redshift/files/redshift-1.12-apparmor.patch
new file mode 100644
index 000000000000..cb939994bf52
--- /dev/null
+++ b/x11-misc/redshift/files/redshift-1.12-apparmor.patch
@@ -0,0 +1,35 @@
+From c740a3a733a59782c26f2f90a073befec2e2324d Mon Sep 17 00:00:00 2001
+From: Sebastian Pipping <sebastian@pipping.org>
+Date: Tue, 27 Dec 2022 01:27:35 +0100
+Subject: [PATCH] Fix AppArmor profile
+
+Inspired by:
+- https://github.com/jonls/redshift/pull/864
+- https://gitlab.com/chinstrap/gammastep/-/blob/9db19f5ccfad20ab7b501daedcfd5ef137860dd2/data/apparmor/usr.bin.redshift.in
+---
+ data/apparmor/usr.bin.redshift.in | 9 +++++++--
+ 1 file changed, 7 insertions(+), 2 deletions(-)
+
+diff --git a/data/apparmor/usr.bin.redshift.in b/data/apparmor/usr.bin.redshift.in
+index d6696db..9b71f0d 100644
+--- a/data/apparmor/usr.bin.redshift.in
++++ b/data/apparmor/usr.bin.redshift.in
+@@ -35,8 +35,13 @@
+ # Allow but log any other dbus activity
+ audit dbus bus=system,
+
+- owner @{HOME}/.config/redshift.conf r,
++ owner @{HOME}/.config/{,redshift/}redshift.conf r,
++ owner @{HOME}/.config/redshift/hooks/ r,
++ owner @{HOME}/.config/redshift/hooks/* Ux,
++
++ # Required by getpwuid() call in config-ini.c.
++ /etc/passwd* r,
+
+ # Site-specific additions and overrides. See local/README for details.
+- #include <local/usr.bin.redshift>
++ #include if exists <local/usr.bin.redshift>
+ }
+--
+2.39.0
+
diff --git a/x11-misc/redshift/redshift-1.12-r9.ebuild b/x11-misc/redshift/redshift-1.12-r9.ebuild
new file mode 100644
index 000000000000..fd9f01b778a0
--- /dev/null
+++ b/x11-misc/redshift/redshift-1.12-r9.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit flag-o-matic systemd xdg-utils python-r1
+
+DESCRIPTION="A screen color temperature adjusting software"
+HOMEPAGE="http://jonls.dk/redshift/"
+SRC_URI="https://github.com/jonls/${PN}/releases/download/v${PV}/${P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
+IUSE="appindicator geoclue gtk nls"
+
+COMMON_DEPEND=">=x11-libs/libX11-1.4
+ x11-libs/libXxf86vm
+ x11-libs/libxcb
+ x11-libs/libdrm
+ appindicator? ( dev-libs/libappindicator:3[introspection] )
+ geoclue? ( app-misc/geoclue:2.0 dev-libs/glib:2 )
+ gtk? ( ${PYTHON_DEPS} )"
+RDEPEND="${COMMON_DEPEND}
+ gtk? ( dev-python/pygobject[${PYTHON_USEDEP}]
+ x11-libs/gtk+:3[introspection]
+ dev-python/pyxdg[${PYTHON_USEDEP}] )"
+DEPEND="${COMMON_DEPEND}
+ >=dev-util/intltool-0.50
+ nls? ( sys-devel/gettext )
+"
+REQUIRED_USE="gtk? ( ${PYTHON_REQUIRED_USE} )"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-apparmor.patch
+)
+
+src_configure() {
+ use gtk && python_setup
+
+ # Fix compile for Clang (bug #732438)
+ append-cflags -fPIE
+
+ econf \
+ $(use_enable nls) \
+ --enable-drm \
+ --enable-randr \
+ --enable-vidmode \
+ --disable-wingdi \
+ \
+ --disable-corelocation \
+ $(use_enable geoclue geoclue2) \
+ \
+ $(use_enable gtk gui) \
+ --with-systemduserunitdir="$(systemd_get_userunitdir)" \
+ --enable-apparmor \
+ --disable-quartz \
+ --disable-ubuntu
+}
+
+_impl_specific_src_install() {
+ emake DESTDIR="${D}" \
+ PYTHON="${PYTHON}" \
+ pythondir="$(python_get_sitedir)" \
+ -C src/redshift-gtk install
+}
+
+src_install() {
+ emake DESTDIR="${D}" UPDATE_ICON_CACHE=/bin/true install
+
+ if use gtk; then
+ python_foreach_impl _impl_specific_src_install
+ python_replicate_script "${D}"/usr/bin/redshift-gtk
+ dosym redshift-gtk /usr/bin/gtk-redshift
+
+ python_foreach_impl python_optimize
+
+ # https://bugs.gentoo.org/784281
+ mv "${D}"/usr/share/{appdata,metainfo}/ || die
+ fi
+}
+
+pkg_postinst() {
+ use gtk && xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ use gtk && xdg_icon_cache_update
+}
^ permalink raw reply related [flat|nested] 2+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/redshift/, x11-misc/redshift/files/
@ 2023-01-24 17:07 Sebastian Pipping
0 siblings, 0 replies; 2+ messages in thread
From: Sebastian Pipping @ 2023-01-24 17:07 UTC (permalink / raw
To: gentoo-commits
commit: 08e2652263307c142cd089cf2355e40f48ee0113
Author: Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 24 17:04:32 2023 +0000
Commit: Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Tue Jan 24 17:04:32 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=08e26522
x11-misc/redshift: Switch to dev-libs/libayatana-appindicator
Closes: https://bugs.gentoo.org/891489
Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
.../redshift-1.12-libayatana-appindicator.patch | 33 ++++++++
x11-misc/redshift/redshift-1.12-r10.ebuild | 92 ++++++++++++++++++++++
2 files changed, 125 insertions(+)
diff --git a/x11-misc/redshift/files/redshift-1.12-libayatana-appindicator.patch b/x11-misc/redshift/files/redshift-1.12-libayatana-appindicator.patch
new file mode 100644
index 000000000000..e2ff7a7c100d
--- /dev/null
+++ b/x11-misc/redshift/files/redshift-1.12-libayatana-appindicator.patch
@@ -0,0 +1,33 @@
+From f2df94b6ad23eceea8c163f9c910e1f6ea122428 Mon Sep 17 00:00:00 2001
+From: Kentaro Hayashi <kenhys@gmail.com>
+Date: Mon, 27 Apr 2020 11:56:02 +0900
+Subject: [PATCH] redshift-gtk: use Ayatana AppIndicator3 instead of App
+ Indicator3
+
+libappindicator was deprecated and it will be removed in the
+future Debian release.
+
+ https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=895037
+
+There is a successor API compatible library - Ayatana Indicator.
+
+ https://ayatanaindicators.github.io/code/
+---
+ src/redshift-gtk/statusicon.py | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/src/redshift-gtk/statusicon.py b/src/redshift-gtk/statusicon.py
+index b4adfb00..68752ed6 100644
+--- a/src/redshift-gtk/statusicon.py
++++ b/src/redshift-gtk/statusicon.py
+@@ -33,8 +33,8 @@
+ from gi.repository import Gtk, GLib
+
+ try:
+- gi.require_version('AppIndicator3', '0.1')
+- from gi.repository import AppIndicator3 as appindicator
++ gi.require_version('AyatanaAppIndicator3', '0.1')
++ from gi.repository import AyatanaAppIndicator3 as appindicator
+ except (ImportError, ValueError):
+ appindicator = None
+
diff --git a/x11-misc/redshift/redshift-1.12-r10.ebuild b/x11-misc/redshift/redshift-1.12-r10.ebuild
new file mode 100644
index 000000000000..a63b6864529c
--- /dev/null
+++ b/x11-misc/redshift/redshift-1.12-r10.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit flag-o-matic systemd xdg-utils python-r1
+
+DESCRIPTION="A screen color temperature adjusting software"
+HOMEPAGE="http://jonls.dk/redshift/"
+SRC_URI="https://github.com/jonls/${PN}/releases/download/v${PV}/${P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
+IUSE="appindicator geoclue gtk nls"
+
+COMMON_DEPEND=">=x11-libs/libX11-1.4
+ x11-libs/libXxf86vm
+ x11-libs/libxcb
+ x11-libs/libdrm
+ appindicator? ( dev-libs/libayatana-appindicator )
+ geoclue? ( app-misc/geoclue:2.0 dev-libs/glib:2 )
+ gtk? ( ${PYTHON_DEPS} )"
+RDEPEND="${COMMON_DEPEND}
+ gtk? ( dev-python/pygobject[${PYTHON_USEDEP}]
+ x11-libs/gtk+:3[introspection]
+ dev-python/pyxdg[${PYTHON_USEDEP}] )"
+DEPEND="${COMMON_DEPEND}
+ >=dev-util/intltool-0.50
+ nls? ( sys-devel/gettext )
+"
+REQUIRED_USE="gtk? ( ${PYTHON_REQUIRED_USE} )"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-apparmor.patch
+ "${FILESDIR}"/${P}-libayatana-appindicator.patch
+)
+
+src_configure() {
+ use gtk && python_setup
+
+ # Fix compile for Clang (bug #732438)
+ append-cflags -fPIE
+
+ econf \
+ $(use_enable nls) \
+ --enable-drm \
+ --enable-randr \
+ --enable-vidmode \
+ --disable-wingdi \
+ \
+ --disable-corelocation \
+ $(use_enable geoclue geoclue2) \
+ \
+ $(use_enable gtk gui) \
+ --with-systemduserunitdir="$(systemd_get_userunitdir)" \
+ --enable-apparmor \
+ --disable-quartz \
+ --disable-ubuntu
+}
+
+_impl_specific_src_install() {
+ emake DESTDIR="${D}" \
+ PYTHON="${PYTHON}" \
+ pythondir="$(python_get_sitedir)" \
+ -C src/redshift-gtk install
+}
+
+src_install() {
+ emake DESTDIR="${D}" UPDATE_ICON_CACHE=/bin/true install
+
+ if use gtk; then
+ python_foreach_impl _impl_specific_src_install
+ python_replicate_script "${D}"/usr/bin/redshift-gtk
+ dosym redshift-gtk /usr/bin/gtk-redshift
+
+ python_foreach_impl python_optimize
+
+ # https://bugs.gentoo.org/784281
+ mv "${D}"/usr/share/{appdata,metainfo}/ || die
+ fi
+}
+
+pkg_postinst() {
+ use gtk && xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ use gtk && xdg_icon_cache_update
+}
^ permalink raw reply related [flat|nested] 2+ messages in thread
end of thread, other threads:[~2023-01-24 17:07 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-01-01 16:03 [gentoo-commits] repo/gentoo:master commit in: x11-misc/redshift/, x11-misc/redshift/files/ Sebastian Pipping
-- strict thread matches above, loose matches on Subject: below --
2023-01-24 17:07 Sebastian Pipping
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox